More on xorg-server 1.3.0.0

I'm running a pup built with my "rolled back" Xorg, using xorg-server 1.3.0.0 --same as in Puppy4.

I have been testing various Intel video drivers compiled for Puppy4 by Patriot. But, got screen flicker:

xf86-video-intel 2.4.3 get screen flicker
xf86-video-intel 2.5.1 get screen flicker
xf86-video-intel 2.6.0 no screen flicker
xf86-video-intel 2.7.0 not tested yet

This screen flicker is something that we got after upgrading from Xorg 7.3. It is periodic, like about every 5 minutes. We also used to get some screen corruption. We had this right through Xorg 7.4 and it came good in Xorg 7.5.

Those Intel driver versions 2.4.3 and 2.5.1 were used in Xorg 7.4 I think.

I have been looking at Debian Lenny packages. Lenny uses Xorg 7.3 and the Intel driver is version 2.3.2, but I see that it has a quite large patch file, so my guess is they have patched it to recognise recent video chips. 2.6.0 seems to be working fine, but I might compile the Debian package and give it a go.

Kirk, Debian Lenny uses xorg-server 1.4.2, with a very large patch file, so I reckon they have updated it's pci.ids file. I might try that too.


Posted on 28 Mar 2010, 15:27


Comments:

Posted on 28 Mar 2010, 15:43 by BarryK
Screen flicker
Testing Intel driver 1.6.0, ran for about 20 minutes no flicker, hence the above post. However, suddenly there was a big screen flicker. Will test other versions.



Posted on 29 Mar 2010, 4:40 by kirk
xorg-server 1.4.2
I haven't had any problems with 1.4.2, other than not recognizing newer hardware. If you use ATI stuff it's really good because after xorg 7.3 ATI dropped support for all cards older than about 2 years in it's fglrx driver. I've been using 1.4.2 on my 32bit laptop since July of last year, so far so good. I did recently rebuild the 64bit version of fatdog because my wife's new laptop with intel graphics wasn't supported in 7.3, and all the new intel drivers are KMS. Maybe I could have got got it working with 7.3 if I would have stuck with it longer.